Last Comment Bug 683205 - Create reftests for RLE8 BMPs
: Create reftests for RLE8 BMPs
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: ImageLib (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla12
Assigned To: Brian R. Bondy [:bbondy]
:
Mentors:
Depends on:
Blocks: 715128
  Show dependency treegraph
 
Reported: 2011-08-30 10:36 PDT by Brian R. Bondy [:bbondy]
Modified: 2012-01-04 07:07 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
1BPP RLE4 reference bitmap (6.62 KB, application/octet-stream)
2011-08-31 09:19 PDT, Brian R. Bondy [:bbondy]
joe: feedback-
Details
Reftests for RLE8 BMPs (5.01 KB, patch)
2011-12-30 05:52 PST, Brian R. Bondy [:bbondy]
joe: review+
Details | Diff | Splinter Review

Description Brian R. Bondy [:bbondy] 2011-08-30 10:36:29 PDT
Bug 600556 introduced support for ICO BMP's which contain compression by using the BMP decoder.

We should create at least one BMP and one ICO reftests for each of the following compression types for both ICO and BMP:
- BI_BITFIELDS
- BI_RLE4
- BI_RLE8
Comment 1 Brian R. Bondy [:bbondy] 2011-08-31 09:09:23 PDT
- RLE8 should have reftests for 8BPP
- RLE4 should have reftests for 4BPP and as for 1BPP as of Bug 683610.
- BI_BITFIELDS for 16BPP and 32BPP
Comment 2 Brian R. Bondy [:bbondy] 2011-08-31 09:19:36 PDT
Created attachment 557208 [details]
1BPP RLE4 reference bitmap
Comment 3 Brian R. Bondy [:bbondy] 2011-08-31 09:22:00 PDT
Comment on attachment 557208 [details]
1BPP RLE4 reference bitmap

Is it OK to use this Microsoft BMP image (anything legal I mean) in our tree?
To see it you'll have to use Chrome.
Comment 4 Brian R. Bondy [:bbondy] 2011-08-31 09:24:14 PDT
> To see it you'll have to use Chrome

Or FF, just not nightly, nor IE :)
Comment 5 Joe Drew (not getting mail) 2011-09-02 13:52:32 PDT
Comment on attachment 557208 [details]
1BPP RLE4 reference bitmap

It'd be better to craft our own, and make it small too.
Comment 6 Brian R. Bondy [:bbondy] 2011-09-02 13:54:54 PDT
OK no prob.

/me needs to re-read about RLE so I can determine what to put in the file with the hex editor.
Comment 7 Brian R. Bondy [:bbondy] 2011-12-30 05:52:48 PST
Created attachment 584951 [details] [diff] [review]
Reftests for RLE8 BMPs

I'll add in another patch for RLE4 BMPs and RLE1 BMPs once I figure out how to generate them.
Comment 8 Brian R. Bondy [:bbondy] 2012-01-03 18:43:42 PST
Pushed to mozilla-inbound:
http://hg.mozilla.org/integration/mozilla-inbound/rev/e2b6064a04ff
Comment 9 Marco Bonardo [::mak] (Away 6-20 Aug) 2012-01-04 04:53:41 PST
https://hg.mozilla.org/mozilla-central/rev/e2b6064a04ff

Note You need to log in before you can comment on or make changes to this bug.